aboutsummaryrefslogtreecommitdiffstats
path: root/extra
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-01-30 13:55:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-30 15:00:16 +0000
commit4461e246cb9d2aad1f95ad1bdf2bc05cb730d2b3 (patch)
tree903add7c1a5f5de0f6ba73b95026c4319562151f /extra
parent28caeca29df838f2968e9e299aabea7a7913dd48 (diff)
downloadaports-4461e246cb9d2aad1f95ad1bdf2bc05cb730d2b3.tar.gz
aports-4461e246cb9d2aad1f95ad1bdf2bc05cb730d2b3.tar.bz2
aports-4461e246cb9d2aad1f95ad1bdf2bc05cb730d2b3.tar.xz
extra/gd: new aport
Diffstat (limited to 'extra')
-rw-r--r--extra/gd/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/extra/gd/APKBUILD b/extra/gd/APKBUILD
new file mode 100644
index 0000000000..92d5402d4f
--- /dev/null
+++ b/extra/gd/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Carlo Landmeter <clandmeter at gmail>
+# Maintainer: Carlo Landmeter <clandmeter at gmail>
+pkgname=gd
+pkgver=2.0.35
+pkgrel=0
+pkgdesc="Library for the dynamic creation of images by programmers"
+url="http://www.libgd.org/"
+license="custom"
+depends="libpng libjpeg freetype zlib"
+makedepends="libpng-dev libjpeg-dev freetype-dev zlib-dev"
+subpackages="$pkgname-dev"
+source="http://www.libgd.org/releases/${pkgname}-${pkgver}.tar.bz2"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info \
+ --with-png \
+ --with-freetype \
+ --with-jpeg \
+ --without-xpm \
+ --without-fontconfig
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ install -D -m644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+md5sums="6c6c3dbb7bf079e0bb5fbbfd3bb8a71c gd-2.0.35.tar.bz2"